@charset "utf-8";

/* Rabatta version: revelation */

@font-face{
	font-family:hero;
	font-style:normal;
	font-weight:400;
	src:local('hero'),url('//www.rbtt.se/css/font/hero.woff') format('woff');
	font-display: swap;
}
@font-face{
	font-family:hero;
	font-style:normal;
	font-weight:700;
	src:local('hero'),url('//www.rbtt.se/css/font/hero-bold.woff') format('woff');
	font-display: swap;
}
@font-face{
	font-family:hero;
	font-style:normal;
	font-weight:800;
	src:local('hero'),url('//www.rbtt.se/css/font/hero-extrabold.woff') format('woff');
	font-display: swap;
}
@font-face {
	font-family: 'rabatta-bold';
	font-style: normal;
	font-weight: normal;
	src: local('rabatta-bold'), url('//www.rbtt.se/css/font/rabatta-bold.woff') format('woff');
	font-display: swap;
}

:root {
	--color-white: #ffffff;
	--color-black:#000000;
	
	--color-red: #c64943;
	--color-green: #82c75b;
	--color-lightgreen: #f3f9ef;
	--color-darkblue: #052f3b;
	--color-lightblue: #dceefa;
	--color-secondary-lightgreen: #d6ea91;
	--color-secondary-darkgreen: #72a251;
	--color-secondary-darkgray: #3c6289;
	--color-secondary-lightgray: #eeeeee;
	--color-tipbox-background: #eceec7;
	--scale: 1.05;
	--radius: 0.375rem;
	
	--color-lightblue:#dceefa;
	--color-footerline:#202a40;
	--glow-color: hsl(186 100% 69%);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a {
	text-decoration:none;
	color: var(--color-darkblue);
}
p {
	margin-top:8px;
	margin-bottom:8px;
}
html, body {
    max-width: 100%;
    overflow-x: hidden;
}
html {
	font-family: 'hero', sans-serif;
	background-color:#f3f9ef;
	font-size:12px;
	color: var(--color-darkblue);
}
input, textarea, button {
	font-family: 'hero', sans-serif;
	font-size:12px;
}
button {
	cursor:pointer;
}
h1, h2, h3, .font-header {
	font-family: 'hero', 'rabatta-bold', sans-serif;
}
h1 {
    font-size: 34px;
    margin-bottom: 10px;
}

.gradient-green-hero {
    background: linear-gradient(344.74deg,#00ce7c -4.56%,#06ce82 11.69%,#15ce92 32.96%,#2fcfad 57.01%,#53d0d3 82.92%,#5fd0df 90.47%);
    background-size: 100%;
    -webkit-background-clip: text;
    background-clip: text;
}
.benefit .accordion__items-header h6 em, .gradient-green, .gradient-green-hero, .step-by-step ._container__cards p em {
    -webkit-box-decoration-break: clone;
    -webkit-text-fill-color: transparent;
}
.wrap {
	max-width:1100px;
	position:relative;
	margin:0 auto;
}

/* Header */
.header-logo {
	font-family: 'rabatta-bold', arial;
	font-size:50px;
	margin-left:20px;
}
.header-logo img:hover {
	transform: scale( var(--scale) );
	filter: drop-shadow(0 0 30px var(--color-green));
}
.header-logo a{
	color: var(--color-darkblue);
}
.header-logo img {
	position:relative;
	top:22px;
	left:0px;
}
.header-search {
	position:absolute;
	top:50px;
	right:0;
	width:600px;
}
.header-tagline {
    position: absolute;
    top: 76px;
    left: 110px;
    z-index: 6;
	font-family:'hero';
	font-size:12px;
	font-weight:400;
	color: var(--color-white);
	background-color: var(--color-darkblue);
	padding:2px 6px 3px 6px;
}

/* Photo gallery */
.photo-row {
	display: -ms-flexbox; /* IE10 */
	display: flex;
	-ms-flex-wrap: wrap; /* IE10 */
	flex-wrap: wrap;
	padding: 0;
	gap:0.5%;
}

.photo-row img:hover {
	transform: scale( var(--scale) );
}

.photo-column {
	-ms-flex: 5%; /* IE10 */
	flex: 5%;
	max-width: 5%;
	padding: 0;
}

.photo-column img {
	margin: 0;
	vertical-align: middle;
	max-height:100%;
	margin-bottom:2px;
}
.popular-grid {
	display: grid;
	grid-template-columns: repeat(14, 1fr);
	grid-template-rows: 1fr;
	gap: 10px;
}
.related-grid {
	display: grid;
	grid-template-columns: repeat(14, 1fr);
	grid-template-rows: 1fr;
	gap: 10px;
}
.form-grid {
	display: grid;
	grid-template-columns: repeat(5, 1fr);
	grid-template-rows: 1fr;
	gap: 10px;
}
.form-grid-2 {
	grid-template-columns: repeat(2, 1fr);
}
.popular-grid img:hover, .related-grid img:hover {
	transform: scale( var(--scale) );
}

/* Items */
.item-wrap {
	background-color: var(--color-white);
	width:100%;
	min-height:85px;
	display:flex;
	flex-wrap: wrap;
	align-items: center;
}
.item-main {
	flex: 1 0 auto;
	position:relative;
}
.item-button {
	flex: 0 0 auto;
	padding:10px;
	text-transform:uppercase;
}
.item-logo {
	position:relative;
	top:2px;
	left:2px;
	padding:10px;
}
.item-logo-img, .item-popular-logo-img {
	border: 2px solid #fff;
	border-radius: .8em;
	background-color: var(--color-white);
	box-shadow: 0 0 0 .2em #fff;
}
.item-logo-img {
	width:60px;
	height:60px;
}
.item-logo svg {
	width:60px;
	height:60px;
	border-radius: var(--radius);
}
.item-popular-logo-img {
	object-fit: cover;
	width: 100%;
	height: auto;
	border-radius: var(--radius);
}
.item-desc {
	position:absolute;
	top:14px;
	left:90px;
	line-height:28px;
	font-size:16px;
}
.item-desc .truncate {
	font-weight:400;
	font-size:14px;
}
.item-title {
	font-family:rabatta-bold;
	font-size:16px;
}
.item-title-truncate {
	min-width:0;
	max-width: 600px;
}
.item-profile {
	position:absolute;
	top:0;
	left:-80px;
	font-size:11px;
}
.item-r {
	position:absolute;
	top:28px;
	right:10px;
	font-size:20px;
}
.item-r svg{
	max-width:20px;
	stroke: #eee;
}

.item-icon-favorite svg:hover, .item-icon-comments:hover {
	stroke: var(--color-darkblue);
}
.item-icon-favorite2 svg {
	fill: var(--color-red);
	stroke: var(--color-red);
}
.item-icon-fail svg:hover {
	stroke: var(--color-red);
}
.item-icon-fail2 svg {
	stroke: var(--color-red);
}
.item-icon-success svg:hover {
	2fill: var(--color-green);
	stroke: var(--color-green);
}
.item-icon-success2 svg {
	stroke: var(--color-green);
}
.item-icon-favorite svg:active, .item-icon-comments:active, .item-icon-fail svg:active, .item-icon-success svg:active {
	transform: scale(var(--scale)); 
}
.item-comments-badge {
	position: absolute;
	top: -4px;
	right: -2px;
	width: 8px;
	height: 8px;
	background: var(--color-red);
	border-radius: 50%;
}

.item-button a, .item-code {
	background-color:var(--color-darkblue);
	background-image: linear-gradient(to top, #7bb943, var(--color-green), #b0d36d);
	background-size: 100% 100%;
	background-position: 100%;
	color: var(--color-white);
	text-shadow: 0 1px 1px rgba(0, 0, 0, 0.4);
	border:1px solid #ccc;
	border: 1px solid var(--color-secondary-darkgreen);
	font-weight:bold;
}

a.item-button-campaign, .item-button-campaign {
	background-image: linear-gradient(to top, var(--color-lightgreen), var(--color-lightgreen));
	color: var(--color-darkblue);
	text-shadow: none;
}
	
.item-button a:hover {
	background-image:none;
	background-size: 200% 200%;
	background-position: 0%;
	color: var(--color-white);
	border: 1px solid var(--color-darkblue);
}

.item-button-visit2 {
	width:100%;
	padding:10px 14px;
	color:var(--color-white);
	background-color:var(--color-darkblue);
	border: 1px solid var(--color-darkblue);
	font-weight:bold;
	text-transform:uppercase;
}
.item-button-visit, a.item-button-visit {
	width:100%;
	padding:10px;
	display:block;
	color:var(--color-white);
	background-image:none;
	background-size: 200% 200%;
	background-position: 0%;
	background-color:var(--color-darkblue);
	border: 1px solid var(--color-darkblue);
	font-weight:bold;
	text-transform:uppercase;
}
.item-button-inverted a{
	color: var(--color-white);
}

.item-button-campaign svg {
	position:absolute;
	top:50%;
	right:6px;
	transform: translate(0, -50%);
	/*top:6px;
	right:12px;*/
}

.item-button-general {
	flex: 0 0 auto;
	padding:10px 14px;
	background-color:var(--color-lightgreen);
	2background-image: linear-gradient(to top, #7bb943, var(--color-green), #b0d36d);
	background-size: 100% 100%;
	background-position: 100%;
	color: var(--color-darkblue);
	2text-shadow: 0 1px 1px rgba(0, 0, 0, 0.4);
	border:1px solid #ccc;
	border: 1px solid var(--color-secondary-lightgreen);
	font-weight:bold;
	text-transform:uppercase;
}

.item-button-general:hover, .item-button-secondary:hover {
	color:var(--color-white);
	background-color:var(--color-darkblue);
	border: 1px solid var(--color-darkblue);
}

.item-button-secondary {
	flex: 0 0 auto;
	padding:8px 16px;
	background-color:var(--color-secondary-lightgray);
	color: var(--color-secondary-darkgray);
	border: 1px solid var(--color-secondary-lightgray);
}

.item-favorite {
}
.item-favorite-remove {

	white-space:nowrap;
}
.item-tools {
		top:0;
	right:200px;
	flex: 0 0 auto;
	padding:10px;
}

.item-favorite-remove a {
	background-color:none;
	background-image:none;
	background-size: 100% 100%;
	background-position: 100%;
	color: var(--color-white);
	text-shadow: none;
	border: none;
	font-weight:normal;
	text-transform:none;
	
	
	display:block;
    color: var(--color-secondary-darkgray);
    text-decoration: none;
	text-align:center;
    padding: 8px 16px;
	border-radius: var(--radius);
	background-color: var(--color-secondary-lightgray);
	transition: background 0.4s ease, color 0.4s ease;
}
.item-favorite-remove a:hover {
	color: var(--color-white);
	background-color: var(--color-darkblue);
	transition: background 0s ease-in, color 0s ease-in; 
	border: none;
}

.item-comment-reply {
	font-weight:bold;
	font-size:10px;
	cursor: pointer;
	padding:4px;
	border-radius: var(--radius);
}
.item-comment-reply svg {
	padding-right:2px;
	position:relative;
	top:2px;
}
.item-comment-reply:hover {
	color: var(--color-white);
	background-color: var(--color-darkblue);
}
.social-blogg-date {
	font-size:9px;
}

/* General helpers */
.box-general {
	background-color: var(--color-white);
	width:400px;
	padding:20px;
}
.box-padding {
	padding:40px;
}
.box-padding-10 {
	padding:10px;
}
.box-padding-comments {
	padding:5px 15px;
}

.box-icon img{
	max-width:100%;
	max-height:100%;
}

.border-rounded {
	border-radius:0.375rem;
}

.image-rounded {
	border-radius:50%;
	
}

.truncate {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.list-general {
	list-style:none;
}

.list-general li {
    padding:8px 0;
	margin:0;
}

.pr-8 {
    padding-right: 2rem;
}

.px-4 {
    padding-left: 1rem;
    padding-right: 1rem;
}
.py-3 {
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
}
.border-transparent {
    border-color: transparent;
}
.box, .dark .box {
    --tw-bg-opacity: 1;
}
.box {
    box-shadow: 0 3px 20px rgba(0,0,0,.043137254901960784);
    background-color: rgba(255,255,255,var(--tw-bg-opacity));
    border:1px solid transparent;
    2border-radius: 0.375rem;
    position: relative;
}
.form-control {
    --tw-shadow: 0 1px 2px 0 rgba(0,0,0,0.05);
	border:1px solid transparent;
    box-shadow: var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow);
    width: 100%;
}
.error { 
	color: var(--color-red);
}
.field-error { 
	border-color: var(--color-red);
}
.text-gray-600 {
    --tw-text-opacity: 1;
    color: rgba(113,128,150,var(--tw-text-opacity));
}
.text-16 {
	font-size:16px;
}
.text-12 {
	font-size:12px;
}
.font-bold {
    font-weight: bold;
}
.align-left {
	text-align:left;
}
.align-center {
	display:block;
	text-align:center;
	margin:0 auto;
}
.align-right {
	text-align:right;
}

.right-0 {
    right: 0;
}
.inset-y-0 {
    top: 0;
    bottom: 0;
}
.absolute {
    position: absolute;
}
.relative {
    position: relative;
}
.flex {
    display: flex;
}
.mr-3 {
    margin-right: 0.75rem;
}
.my-auto {
    margin-top: auto;
    margin-bottom: auto;
}
.w-12 {
    width: 3rem;
}
.section-spacer{
	height:35px;
}
.flex-none {
    flex: none;
}
.image-fit {
    position: relative;
}
.image-fit>img {
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    position: absolute;
    width: 100%;
}
.image-fit img:hover {
	transform: scale( var(--scale) );
}
.tx-gradient-1 {
  background: linear-gradient(to right, #69be85, #8fdc5f);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

@media (max-width: 700px) {
	.item-wrap {
		flex-direction: column;
		flex-grow: 1;
		align-items: stretch;
	}
}

/* Hamburger menu */
.menu {
	display: flex;
	flex-direction: row;
	list-style-type: none;
	position:absolute;
	top:0;
	right:-25px;
	width:100%;
	margin: 0;
	padding: 0;
	font-family: "rabatta-bold", Arial, sans-serif;
	font-weight:500;
	font-size:13px;
	text-transform:uppercase;
	white-space: nowrap;
	text-align:center;
	align-items: center;
	justify-content: right;
}

.menu a{
	text-decoration: none;
	
	color: var(--color-darkblue);
	margin: 0 6px;
	padding:15px 20px;
	margin-left:-4px;
	transition: text-shadow 0.9s ease, color 0.9s ease;
	z-index:3;
}
.menu a:hover{
    color: var(--color-green);
    text-shadow: 0 0 30px var(--color-green);
	transition: text-shadow 0s ease-in, color 0s ease-in; 
	animation: glow 2s ease-in-out infinite alternate;
}

.menu > a {
	2margin: 0 1rem;
	overflow: hidden;
}

.menu-button-container {
	display: none;
	height: 30px;
	width: 30px;
	cursor: pointer;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#menu-toggle {
	display: none;
}

.menu-button,
.menu-button::before,
.menu-button::after {
	display: block;
	background-color: var(--color-darkblue);
	position: absolute;
	height: 4px;
	width: 30px;
	2transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
	z-index:7;
}

.menu-button::before {
	content: '';
	margin-top: -8px;
}

.menu-button::after {
	content: '';
	margin-top: 8px;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
	margin-top: 0px;
	transform: rotate(405deg);
}

#menu-toggle:checked + .menu-button-container .menu-button {
	background: rgba(255, 255, 255, 0);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
	margin-top: 0px;
	transform: rotate(-405deg);
}

/* Forms */
input:focus {
	background-color: #fff;
	border:1px #fff solid;
	border-color: #7cb2fe;
	outline: 0;
	box-shadow: 0 0 0 0.2rem rgba(1, 104, 250, 0.25);
}

/* Tags */
ul {
	padding:0;
}

.tags li {
    display: block;
	float:left;
    list-style-type: none;
	margin:2px;
	padding:0;
}

.tags a {
	display:block;
    color: var(--color-secondary-darkgray);
    text-decoration: none;
    padding: 8px 16px;
	border-radius: 0.375rem;
	background-color: var(--color-secondary-lightgray);
	transition: background 0.4s ease, color 0.4s ease;
}
.tags a:hover {
	color: var(--color-white);
	background-color: var(--color-darkblue);
	transition: background 0s ease-in, color 0s ease-in; 
}

/* Tip box */
.tip-box{
	display:flex;
	align-items:center;
	justify-content:center;
	margin-bottom:18px;
	padding:12px 8px 12px 8px;
	line-height:16px;
	text-align:center;
}
.tip-box img{margin-right:6px;}
.tip-text{padding-top:3px;}
.tip-box{
	background-color:var(--color-tipbox-background);
	-webkit-border-radius: var(--radius);
	-moz-border-radius: var(--radius);
	border-radius: var(--radius);
	-webkit-box-shadow:0px 1px 1px rgba(0, 0, 0, 0.1);
	-moz-box-shadow:0px 1px 1px rgba(0, 0, 0, 0.1);
	box-shadow:0px 1px 1px rgba(0, 0, 0, 0.1)
}
.box-success{
	border:1px solid #98bd37;
	background-color: #eaf2d7;
}
.box-error{
	background-color: #ffebe8;
	border:1px solid #c00;
	color: #c00;
}

.loader {
    width: 32px;
    height: 32px;
    border: 4px solid var(--color-darkblue);
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1.5s linear infinite;
}

@keyframes rotation {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
} 

/* Footer */
.footer {
	text-align:center;
	padding:40px;
}
.footer li {
	display:inline; padding: 0; line-height:40px;white-space: nowrap;
}
.footer a {
	position:relative; padding: 6px 4px 6px 26px; margin:0 14px 0 0; white-space: nowrap; border-radius: var(--radius);
}
.footer a:hover {
	background-color: var(--color-darkblue); color: var(--color-white); fill: var(--color-white);
}
.footer li svg {
	position:absolute;top:2px;left:4px;
}

/* Animations */

.rotating {
	animation: rotating 6s ease-in-out infinite alternate;
}

@keyframes rotating {
	from {
		transform: rotate(-30deg);
	} to {
		transform: rotate(20deg);
	}
}

.animation-updown {
  animation: updown 3s cubic-bezier(.25,.46,.45,.94) infinite;
}

@keyframes updown {
    0% { transform: translateY(0) rotate(-1.25deg); }
	50% { transform: translateY(-4px) rotate(-1.25deg); }
    100% { transform: translateY(0) rotate(-1.25deg); }
}

.animation-shake {
	animation: shake 7.5s cubic-bezier(.25,.46,.45,.94) infinite;
}

@keyframes rotate-clockwise{
    0%{
        -webkit-transform:rotate(0deg);
        transform:rotate(0deg)
    }
    to{
        -webkit-transform:rotate(1turn);
        transform:rotate(1turn)
    }
}


@keyframes shake {
  0% {
    transform: translate(1px, 1px) rotate(0deg);
  }
  10% {
    transform: translate(-1px, 2px) rotate(-1deg);
  }
  20% {
    transform: translate(1px, 2px) rotate(0deg);
  }
  30% {
    transform: translate(3px, 2px) rotate(0deg);
  }
  40% {
    transform: translate(1px, -1px) rotate(2deg);
  }
  50% {
    transform: translate(-1px, -2px) rotate(-1deg);
  }
  60% {
    transform: translate(-3px, 1px) rotate(0deg);
  }
  70% {
    transform: translate(3px, 1px) rotate(-3deg);
  }
  80% {
    transform: translate(-1px, -1px) rotate(1deg);
  }
  90% {
    transform: translate(-3px, 0px) rotate(1deg);
  }
  100% {
    transform: translate(1px, 1px) rotate(0deg);
  }
}

@media (max-width: 800px) {
	html {
		font-size:13px;
	}
	.wrap {
		width:100%;
		position:static;
	}
	
	.header-logo {
		margin:0;
		2text-align:center;
		scale:0.5;
		position:absolute;
		top:-24px;
		left:-58px;
	}
	
	.header-search {
		position:relative;
		top:0;
		left:0;
		width:98%;
		margin:0 auto;
	}
	
	.header-tagline {
		display:none;
	}
	
	.box-padding, .footer {
		padding:20px;
	}

	.menu-button-container {
		display: flex;
		position:absolute;
		top:12px;
		right:16px;

	}
	.menu {
		position: relative;
		top: 0;
		margin-top: 50px;
		left: 0;
		flex-direction: column;
		width: 100%;
		justify-content: center;
		align-items: center;
		z-index:8;
	}
	#menu-toggle ~ .menu a {
		height: 0;
		margin: 0;
		padding: 0;
		border: 0;
		2transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
	}
	#menu-toggle:checked ~ .menu a {
		border-top: 1px solid var(--color-darkblue);
		height: auto;
		padding: 20px 10px;
		2transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
	}
	#menu-toggle:checked ~ .menu a:last-child {
		border-bottom: 1px solid var(--color-darkblue);
	}
	.menu > a {
		display: flex;
		justify-content: center;
		2background-color: var(--color-darkblue);
		width: 100%;
	}
	.menu a{
		text-decoration: none;
		color: var(--color-darkgrey);
		margin: 0 6px;
		display:block;
		transition: text-shadow 0.9s ease, color 0.9s ease;
		z-index:3;
	}
	.menu a:hover{
		color: var(--color-green);
		text-shadow: 0 0 30px var(--color-green);
		transition: text-shadow 0s ease-in,color 0s ease-in; 
		animation: glow 2s ease-in-out infinite alternate;
	}
	.photo-column {
		-ms-flex: 10%;
		flex: 10%;
		max-width: 10%;
	}
	.popular-grid {
		grid-template-columns: repeat(7, 1fr);
		grid-template-rows: 1fr;
	}
	.related-grid {
		grid-template-columns: repeat(7, 1fr);
		grid-template-rows: 1fr;
	}
	.form-grid, .form-grid-2 {
		grid-template-columns: repeat(1, 1fr);
		grid-template-rows: 1fr;
	}
	.tags li {
		margin:4px;
	}
	.tags a {
		padding: 12px 20px;
	}
	.item-r{
		display:none;
	}
	.item-button{
		margin-top:10px;
	}
	.item-title-truncate {
		max-width:400px;
	}
}


@media (max-width: 500px) {
	.item-title-truncate {
		max-width:320px;
	}
}



/* Modal */
#basic-modal-content {display:none;}

/* Overlay */
#simplemodal-overlay {background-color:#000;}

/* Container */
#simplemodal-container { width:100%; max-width:600px; height:380px;background-color:#fff; border:0px solid #444; padding:0px;-webkit-border-radius:8px;-moz-border-radius:8px;border-radius:8px;}
#simplemodal-container .simplemodal-data {padding:0px;}
#simplemodal-container code {background:#141414; border-left:3px solid #65B43D; color:#bbb; display:block; font-size:12px; margin-bottom:12px; padding:4px 6px 6px;}
#simplemodal-container a {color:var(--color-white);}
#simplemodal-container a.modalCloseImg {background:url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-x"><path d="M18 6 6 18"/><path d="m6 6 12 12"/></svg>') no-repeat; width:48px; height:48px; display:inline; z-index:3200; position:absolute; top:10px; right:8px; cursor:pointer;}

.item-r-modal {
	margin: 0 auto;
	text-align:center;
}
#simplemodal-container .item-r-modal a{
	color: var(--color-black);
	margin:0 10px;
}